Draft Array/es: Difference between revisions

From FreeCAD Documentation
m (template fr it)
(Updating to match new version of source page)
Line 1: Line 1:
{{GuiCommand/es|Name=Draft_Array|Workbenches=[[Draft Module/es|Boceto]], [[Arch Module/es|Arquitectura]]|MenuLocation=Boceto-> Matriz}}
{{GuiCommand|Name=Draft_Array|Workbenches=[[Draft Module|Draft]], [[Arch Module|Arch]]|MenuLocation=Draft -> Array}}


==Descripción==
==Description==
The Array tool creates an orthogonal (3-axes) or polar array from a selected object. If no object is selected, you will be invited to select one.

La herramienta Matriz crea matrices ortogonalea (3 ejes) o polares a partir de los objetos seleccionados. Si no se selecciona ningún objeto, te solicitará que selecciones uno.


[[Image:Draft_Array_example.jpg|400px]]
[[Image:Draft_Array_example.jpg|400px]]


==Utilizaación==
==How to use==
# Select an object you wish to make an array with

# Press the {{KEY|[[Image:Draft Array.png|16px]] [[Draft Array]]}} button
# Selecciona un objeto a partir del que desees crear una matriz
# Presiona el botón {{KEY|[[Image:Draft Array.png|16px]] [[Draft Array/es|Matriz]]}}

==Opciones==

* La matriz se inicia como ortogonal por defecto, puedes cambiar su modo en las propiedades.

==Propiedades==

* {{PropertyData|Array Type}}: Especifica el tipo de matriz orto o polar


==Options==
Para matrices ortogonales:
* The array starts as orthogonal by default, you can then change its mode in the properties.


==Properties==
* {{PropertyData|Interval X}}: El intervalo entre cada copia sobre el primer eje
* {{PropertyData|Interval Y}}: El intervalo entre cada copia sobre el segundo eje
* {{PropertyData|Array Type}}: Specifies the type of the array, ortho or polar
* {{PropertyData|Interval Z}}: El intervalo entre cada copia sobre el tercer eje
* {{PropertyData|Number X}}: El número de copias sobre el primer eje
* {{PropertyData|Number Y}}: El número de copias sobre el segundo eje
* {{PropertyData|Number Z}}: El número de copias sobre el tercer eje


For orthogonal arrays:
Para matrices polares:
* {{PropertyData|Interval X}}: The interval between each copy on the first axis
* {{PropertyData|Interval Y}}: The interval between each copy on the second axis
* {{PropertyData|Interval Z}}: The interval between each copy on the third axis
* {{PropertyData|Number X}}: The number of copies on the first axis
* {{PropertyData|Number Y}}: The number of copies on the second axis
* {{PropertyData|Number Z}}: The number of copies on the third axis


For polar arrays:
* {{PropertyData|Axis}}: La dirección normal a la circunferencia de la matriz
* {{PropertyData|Center}}: El punto centro de la matriz
* {{PropertyData|Axis}}: The normal direction of the array circle
* {{PropertyData|Angle}}: El ángulo a cubrir con las copias
* {{PropertyData|Center}}: The center point of the array
* {{PropertyData|Number Polar}}: El número de copias
* {{PropertyData|Angle}}: The angle to cover with copies
* {{PropertyData|Number Polar}}: The number of copies


==Scripting==
==Archivos de guión==
The Array tool can by used in [[macros]] and from the python console by using one of the following functions.


For rectangular array:
La herramienta Matriz se puede utilizar en [[macros/es|macros]] y desde la consola de Python utilizando la siguiente función:
<syntaxhighlight>
array (objectslist,xvector,yvector,xnum,ynum,[zvector,znum])
</syntaxhighlight>
For polar array:
<syntaxhighlight>
array (objectslist,center,totalangle,totalnum)
</syntaxhighlight>
* Creates an array of the objects contained in list (that can be an object or a list of objects) with, in case of rectangular array, xnum of iterations in the x direction at xvector distance between iterations, and same for y direction with yvector and ynum. In case of polar array, center is a vector, totalangle is the angle to cover (in degrees) and totalnum is the number of objects, including the original.
* This function produces standalone copies of the base object(s)


Or
'''array (objectslist,xvector,yvector,xnum,ynum,[zvector,znum])''' para matrices rectangulares, o
'''array (objectslist,center,totalangle,totalnum)''' para matrices polares: Crea una matriz de los
objectos contenidos en la lista (puede ser un objeto o una lista de objetos), en el caso de
matrices rectangulares, xnum iteraciones en la dirección X con una separación xvector entre iteraciones,
y lo mismo para la dirección Y con yvector y ynum. En el caso de matrices polares, center es un vector, totalangle
es el ángulo a cubrir (en grados) y totalnum es el número total de objetos, incluyendo el original.


For rectangular array:
Ejemplo:
<syntaxhighlight>
makeArray (object,xvector,yvector,xnum,ynum)
</syntaxhighlight>
For polar array:
<syntaxhighlight>
makeArray (object,center,totalangle,totalnum)
</syntaxhighlight>
* Creates an array of the given object with, in case of rectangular array, xnum of iterations in the x direction at xvector distance between iterations, and same for y direction with yvector and ynum. In case of polar array, center is a vector, totalangle is the angle to cover (in degrees) and totalnum is the number of objects, including the original.
* The result of this function is a parametric Draft Array object.


Example:
<syntaxhighlight>
import FreeCAD,Draft
import FreeCAD,Draft
Draft.array(FreeCAD.ActiveDocument.ActiveObject,FreeCAD.Vector(2,0,0),FreeCAD.Vector(0,2,0),2,2)
Draft.array(FreeCAD.ActiveDocument.ActiveObject,FreeCAD.Vector(2,0,0),FreeCAD.Vector(0,2,0),2,2)


</syntaxhighlight>
{{languages/es | {{en|Draft_Array}} {{fr|Draft_Array/fr}} {{it|Draft_Array/it}} }}
{{clear}}
<languages/>

Revision as of 15:56, 16 February 2014

Draft_Array

Menu location
Draft -> Array
Workbenches
Draft, Arch
Default shortcut
None
Introduced in version
-
See also
None

Description

The Array tool creates an orthogonal (3-axes) or polar array from a selected object. If no object is selected, you will be invited to select one.

How to use

  1. Select an object you wish to make an array with
  2. Press the Draft Array button

Options

  • The array starts as orthogonal by default, you can then change its mode in the properties.

Properties

  • DatosArray Type: Specifies the type of the array, ortho or polar

For orthogonal arrays:

  • DatosInterval X: The interval between each copy on the first axis
  • DatosInterval Y: The interval between each copy on the second axis
  • DatosInterval Z: The interval between each copy on the third axis
  • DatosNumber X: The number of copies on the first axis
  • DatosNumber Y: The number of copies on the second axis
  • DatosNumber Z: The number of copies on the third axis

For polar arrays:

  • DatosAxis: The normal direction of the array circle
  • DatosCenter: The center point of the array
  • DatosAngle: The angle to cover with copies
  • DatosNumber Polar: The number of copies

Scripting

The Array tool can by used in macros and from the python console by using one of the following functions.

For rectangular array:

 array (objectslist,xvector,yvector,xnum,ynum,[zvector,znum])

For polar array:

 array (objectslist,center,totalangle,totalnum)
  • Creates an array of the objects contained in list (that can be an object or a list of objects) with, in case of rectangular array, xnum of iterations in the x direction at xvector distance between iterations, and same for y direction with yvector and ynum. In case of polar array, center is a vector, totalangle is the angle to cover (in degrees) and totalnum is the number of objects, including the original.
  • This function produces standalone copies of the base object(s)

Or

For rectangular array:

 makeArray (object,xvector,yvector,xnum,ynum)

For polar array:

 makeArray (object,center,totalangle,totalnum)
  • Creates an array of the given object with, in case of rectangular array, xnum of iterations in the x direction at xvector distance between iterations, and same for y direction with yvector and ynum. In case of polar array, center is a vector, totalangle is the angle to cover (in degrees) and totalnum is the number of objects, including the original.
  • The result of this function is a parametric Draft Array object.

Example:

 import FreeCAD,Draft
 Draft.array(FreeCAD.ActiveDocument.ActiveObject,FreeCAD.Vector(2,0,0),FreeCAD.Vector(0,2,0),2,2)